Debian Bug report logs - #510949
mailutils: Segfault sending mail as root with .mailrc present

version graph

Package: mailutils; Maintainer for mailutils is Jordi Mallach <jordi@debian.org>; Source for mailutils is src:mailutils.

Reported by: John Sullivan <john@wjsullivan.net>

Date: Tue, 6 Jan 2009 07:42:01 UTC

Severity: important

Found in version mailutils/1:1.2+dfsg1-4

Fixed in version mailutils/1:2.99.97-2

Done: Jordi Mallach <jordi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jordi Mallach <jordi@debian.org>:
Bug#510949; Package mailutils. (Tue, 06 Jan 2009 07:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Sullivan <john@wjsullivan.net>:
New Bug report received and forwarded. Copy sent to Jordi Mallach <jordi@debian.org>. (Tue, 06 Jan 2009 07:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: John Sullivan <john@wjsullivan.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mailutils: Segfault sending mail as root with .mailrc present
Date: Tue, 06 Jan 2009 02:37:55 -0500
Package: mailutils
Version: 1:1.2+dfsg1-4
Severity: important

To reproduce, do as root:

cat > ~/.mailrc
alias info info@fsf.org
^D

mail john@wjsullivan.net -s Test

Here is the end of the strace:

gettimeofday({1231227056, 215445}, NULL) = 0
getrusage(RUSAGE_SELF, {ru_utime={0, 175000}, ru_stime={0, 215000}, ...}) = 0
gettimeofday({1231227056, 225137}, NULL) = 0
times({tms_utime=18, tms_stime=21, tms_cutime=0, tms_cstime=0}) = -2146960731
open("/etc/mail.rc", O_RDONLY|O_LARGEFILE) = 4
fstat64(4, {st_mode=S_IFREG|0644, st_size=607, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40026000
read(4, "# Default .mailrc\n# Set prompt st"..., 4096) = 607
read(4, ""..., 4096)                    = 0
close(4)                                = 0
munmap(0x40026000, 4096)                = 0
open("/root/.mailrc", O_RDONLY|O_LARGEFILE) = 4
fstat64(4, {st_mode=S_IFREG|0600, st_size=24, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40026000
read(4, "alias info info@fsf.org\n"..., 4096) = 24
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++
root@calvino:~#

If I remove the .mailrc file, there is no segfault.

k- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: armel (armv4tl)

Kernel: Linux 2.6.24 (PREEMPT)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages mailutils depends on:
ii  exim4-daemon-light [m 4.69-9             lightweight Exim MTA (v4) daemon
ii  guile-1.8-libs        1.8.5+1-4.1        Main Guile libraries
ii  libc6                 2.7-18             GNU C Library: Shared libraries
ii  libcomerr2            1.41.3-1           common error description library
ii  libfribidi0           0.10.9-1           Free Implementation of the Unicode
ii  libgcrypt11           1.4.1-2            LGPL Crypto library - runtime libr
ii  libgdbm3              1.8.3-4            GNU dbm database routines (runtime
ii  libgmp3c2             2:4.2.2+dfsg-3     Multiprecision arithmetic library
ii  libgnutls26           2.4.2-4            the GNU TLS library - runtime libr
ii  libgpg-error0         1.4-2              library for common error values an
ii  libgsasl7             0.2.26-2           GNU SASL library
ii  libidn11              1.10-3             GNU libidn library, implementation
ii  libkrb53              1.6.dfsg.4~beta1-5 MIT Kerberos runtime libraries
ii  libltdl3              1.5.26-4           A system independent dlopen wrappe
ii  libmailutils1         1:1.2+dfsg1-4      GNU Mail abstraction library
ii  libmysqlclient15off   5.0.75-1           MySQL database client library
ii  libncurses5           5.7+20081220-1     shared libraries for terminal hand
ii  libntlm0              0.3.13-1           NTLM authentication library
ii  libpam0g              1.0.1-4            Pluggable Authentication Modules l
ii  libreadline5          5.2-3              GNU readline and history libraries
ii  libtasn1-3            1.5-1              Manage ASN.1 structures (runtime)
ii  zlib1g                1:1.2.3.3.dfsg-12  compression library - runtime

mailutils recommends no packages.

Versions of packages mailutils suggests:
pn  mailutils-mh                  <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Jordi Mallach <jordi@debian.org>:
Bug#510949; Package mailutils. (Tue, 06 Jan 2009 19:54:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Sullivan <john@wjsullivan.net>:
Extra info received and forwarded to list. Copy sent to Jordi Mallach <jordi@debian.org>. (Tue, 06 Jan 2009 19:54:09 GMT) Full text and rfc822 format available.

Message #10 received at 510949@bugs.debian.org (full text, mbox):

From: John Sullivan <john@wjsullivan.net>
To: 510949@bugs.debian.org
Subject: Tested with another kernel
Date: Tue, 06 Jan 2009 14:52:29 -0500
I also reproduced this with the kernel:

Linux calvino 2.6.24-20081103.git7172ec57 #1 PREEMPT Wed Dec 17 18:06:43
UTC 2008 armv4tl GNU/Linux

This is from the linux-image-2.6.24-openmoko-gta02 package installed
from http://pkg-fso.alioth.debian.org.





Information forwarded to debian-bugs-dist@lists.debian.org, Jordi Mallach <jordi@debian.org>:
Bug#510949; Package mailutils. (Mon, 26 Jan 2009 16:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Bazik <jsb@cs.brown.edu>:
Extra info received and forwarded to list. Copy sent to Jordi Mallach <jordi@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Mon, 26 Jan 2009 16:42:02 GMT) Full text and rfc822 format available.


Message #15 received at 510949@bugs.debian.org (full text, mbox):

From: John Bazik <jsb@cs.brown.edu>
To: 510949@bugs.debian.org
Date: Mon, 26 Jan 2009 11:34:48 -0500



Information forwarded to debian-bugs-dist@lists.debian.org, Jordi Mallach <jordi@debian.org>:
Bug#510949; Package mailutils. (Mon, 26 Jan 2009 16:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Bazik <jsb@cs.brown.edu>:
Extra info received and forwarded to list. Copy sent to Jordi Mallach <jordi@debian.org>. (Mon, 26 Jan 2009 16:54:02 GMT) Full text and rfc822 format available.

Message #20 received at 510949@bugs.debian.org (full text, mbox):

From: John Bazik <jsb@cs.brown.edu>
To: 510949@bugs.debian.org
Subject: I see this w/o root
Date: Mon, 26 Jan 2009 11:50:54 -0500
I'm seeing this, but as a normal user.  Same version of mailutils
(1:1.2+dfsg1-4).  I'm running a current lenny with a stock 2.6.26-1-686
kernel.

Certain .mailrc files cause it.  I tried to pare down an example file,
but found it wasn't any particular line.  That is, I can remove bits
from the beginning or from the end or from the middle and the segfault
disappears.  Unfortunately, to protect my user's privacy, I cannot
forward the file.  The file contains only aliases at this point, and no
unprintable characters or obvious syntactic errors.  I prepended one line
(alias foobar    foo@bar.org) so I can upload the end of an strace:

gettimeofday({1232988253, 523429}, NULL) = 0
getrusage(RUSAGE_SELF, {ru_utime={0, 0}, ru_stime={0, 4000}, ...}) = 0
time(NULL)                              = 1232988253
times({tms_utime=0, tms_stime=0, tms_cutime=0, tms_cstime=0}) = 1865617403
open("/etc/mail.rc", O_RDONLY|O_LARGEFILE) = 4
fstat64(4, {st_mode=S_IFREG|0644, st_size=607, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7f93000
read(4, "# Default .mailrc\n# Set prompt st"..., 4096) = 607
read(4, ""..., 4096)                    = 0
close(4)                                = 0
munmap(0xb7f93000, 4096)                = 0
open("/home/jsb/.mailrc", O_RDONLY|O_LARGEFILE) = 4
fstat64(4, {st_mode=S_IFREG|0644, st_size=1511, ...}) = 0
mmap2(NULL, 32768, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7f8c000
read(4, "alias foobar\tfoo@bar.org\nalias cl"..., 32768) = 1511
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++

John




Information forwarded to debian-bugs-dist@lists.debian.org, Jordi Mallach <jordi@debian.org>:
Bug#510949; Package mailutils. (Wed, 29 Jul 2009 20:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to J G Miller <miller@yoyo.ORG>:
Extra info received and forwarded to list. Copy sent to Jordi Mallach <jordi@debian.org>. (Wed, 29 Jul 2009 20:12:08 GMT) Full text and rfc822 format available.

Message #25 received at 510949@bugs.debian.org (full text, mbox):

From: J G Miller <miller@yoyo.ORG>
To: Debian Bug Tracking System <510949@bugs.debian.org>
Subject: mailutils: mailx crashes with more than one alias defintion in mailrc on arm but not i386 platform
Date: Wed, 29 Jul 2009 22:08:07 +0200
Package: mailutils
Version: 1:1.2+dfsg1-4
Followup-For: Bug #510949


With a .mailrc file containing just two alias definitions
and no other settings or even lines, mailx will crash with
a segmentation fault when invoked either as root or another
user in the manner

       mail  user

to send mail. or as

       mail

to read mail, both on the "arm" platform.

Removal of the second alias results in the segmentation fault
not occurring.

Perhaps the other reporters of this bug could try commenting out
all but one of the alias definitions in their .mailrc files and
see if the segmentation fault no longer occurs for them?

I also have the same version of mailutils on another Debian 5.0.2
system on an "i386" platform and even though there is more than one
alias defined in the .mailrc, no segmentation violation occurs
there for either sending or reading mail.

Since I also get a segmentation violation when trying to fire up
amule-daemon on the "arm" platform system, I wonder if the cause of
this problem is not due to a bug in mailutils or amule-daemon but
a more serious fundamental problem in one of the core libraries for
the "arm" platform, in particular libc6?

Thanks in advance for your work  in getting this bug fixed,
Greg Miller

-- System Information:
Debian Release: 5.0.2
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: arm (armv5tel)

Kernel: Linux 2.6.26-1-ixp4xx
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages mailutils depends on:
ii  exim4           4.69-9                   metapackage to ease Exim MTA (v4)
ii  exim4-daemon-he 4.69-9                   Exim MTA (v4) daemon with extended
ii  guile-1.8-libs  1.8.5+1-4.1              Main Guile libraries
ii  libc6           2.7-18                   GNU C Library: Shared libraries
ii  libcomerr2      1.41.3-1                 common error description library
ii  libfribidi0     0.10.9-1                 Free Implementation of the Unicode
ii  libgcrypt11     1.4.1-1                  LGPL Crypto library - runtime libr
ii  libgdbm3        1.8.3-3                  GNU dbm database routines (runtime
ii  libgmp3c2       2:4.2.2+dfsg-3           Multiprecision arithmetic library
ii  libgnutls26     2.4.2-6+lenny1           the GNU TLS library - runtime libr
ii  libgpg-error0   1.4-2                    library for common error values an
ii  libgsasl7       0.2.26-2                 GNU SASL library
ii  libidn11        1.8+20080606-1           GNU libidn library, implementation
ii  libkrb53        1.6.dfsg.4~beta1-5lenny1 MIT Kerberos runtime libraries
ii  libltdl3        1.5.26-4                 A system independent dlopen wrappe
ii  libmailutils1   1:1.2+dfsg1-4            GNU Mail abstraction library
ii  libmysqlclient1 5.0.51a-24+lenny1        MySQL database client library
ii  libncurses5     5.7+20081213-1           shared libraries for terminal hand
ii  libntlm0        0.3.13-1                 NTLM authentication library
ii  libpam0g        1.0.1-5+lenny1           Pluggable Authentication Modules l
ii  libreadline5    5.2-3.1                  GNU readline and history libraries
ii  libtasn1-3      1.4-1                    Manage ASN.1 structures (runtime)
ii  zlib1g          1:1.2.3.3.dfsg-12        compression library - runtime

mailutils recommends no packages.

Versions of packages mailutils suggests:
pn  mailutils-mh                  <none>     (no description available)

-- no debconf information




Reply sent to Jordi Mallach <jordi@debian.org>:
You have taken responsibility. (Thu, 21 Jun 2012 16:12:15 GMT) Full text and rfc822 format available.

Notification sent to John Sullivan <john@wjsullivan.net>:
Bug acknowledged by developer. (Thu, 21 Jun 2012 16:12:17 GMT) Full text and rfc822 format available.

Message #30 received at 510949-close@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: 510949-close@bugs.debian.org
Subject: Bug#510949: fixed in mailutils 1:2.99.97-2
Date: Thu, 21 Jun 2012 16:04:04 +0000
Source: mailutils
Source-Version: 1:2.99.97-2

We believe that the bug you reported is fixed in the latest version of
mailutils, which is due to be installed in the Debian FTP archive:

libmailutils-dev_2.99.97-2_amd64.deb
  to main/m/mailutils/libmailutils-dev_2.99.97-2_amd64.deb
libmailutils4_2.99.97-2_amd64.deb
  to main/m/mailutils/libmailutils4_2.99.97-2_amd64.deb
mailutils-common_2.99.97-2_all.deb
  to main/m/mailutils/mailutils-common_2.99.97-2_all.deb
mailutils-comsatd_2.99.97-2_amd64.deb
  to main/m/mailutils/mailutils-comsatd_2.99.97-2_amd64.deb
mailutils-dbg_2.99.97-2_amd64.deb
  to main/m/mailutils/mailutils-dbg_2.99.97-2_amd64.deb
mailutils-doc_2.99.97-2_all.deb
  to main/m/mailutils/mailutils-doc_2.99.97-2_all.deb
mailutils-guile_2.99.97-2_amd64.deb
  to main/m/mailutils/mailutils-guile_2.99.97-2_amd64.deb
mailutils-imap4d_2.99.97-2_amd64.deb
  to main/m/mailutils/mailutils-imap4d_2.99.97-2_amd64.deb
mailutils-mh_2.99.97-2_amd64.deb
  to main/m/mailutils/mailutils-mh_2.99.97-2_amd64.deb
mailutils-pop3d_2.99.97-2_amd64.deb
  to main/m/mailutils/mailutils-pop3d_2.99.97-2_amd64.deb
mailutils_2.99.97-2.debian.tar.gz
  to main/m/mailutils/mailutils_2.99.97-2.debian.tar.gz
mailutils_2.99.97-2.dsc
  to main/m/mailutils/mailutils_2.99.97-2.dsc
mailutils_2.99.97-2_amd64.deb
  to main/m/mailutils/mailutils_2.99.97-2_amd64.deb
python-mailutils_2.99.97-2_amd64.deb
  to main/m/mailutils/python-mailutils_2.99.97-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 510949@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jordi Mallach <jordi@debian.org> (supplier of updated mailutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 21 Jun 2012 14:52:02 +0200
Source: mailutils
Binary: libmailutils4 libmailutils-dev mailutils mailutils-common mailutils-imap4d mailutils-pop3d mailutils-comsatd mailutils-guile mailutils-mh python-mailutils mailutils-doc mailutils-dbg
Architecture: source all amd64
Version: 1:2.99.97-2
Distribution: unstable
Urgency: low
Maintainer: Jordi Mallach <jordi@debian.org>
Changed-By: Jordi Mallach <jordi@debian.org>
Description: 
 libmailutils-dev - Development files for GNU mailutils
 libmailutils4 - GNU Mail abstraction library
 mailutils  - GNU mailutils utilities for handling mail
 mailutils-common - Common files for GNU mailutils
 mailutils-comsatd - GNU mailutils-based comsatd daemon
 mailutils-dbg - Debugging symbols for GNU mailutils
 mailutils-doc - Documentation files for GNU mailutils
 mailutils-guile - GNU mailutils Guile interpreter and modules
 mailutils-imap4d - GNU mailutils-based IMAP4 Daemon
 mailutils-mh - GNU mailutils-based MH utilities
 mailutils-pop3d - GNU mailutils-based POP3 Daemon
 python-mailutils - GNU Mail abstraction library (Python interface)
Closes: 435496 440603 510949 666041
Changes: 
 mailutils (1:2.99.97-2) unstable; urgency=low
 .
   * Upload to unstable.
   * Drop libmu_nntp and libmu_cpp from .shlibs: these interfaces
     won't be available until 3.0.
   * Drop version mangling from watch file, and look for .xz tarballs.
   * Set DEFAULT_CUPS_CONFDIR=/usr/share/cups/mime when configuring, so
     mimeview can find the CUPS mime.types file it expects
     (closes: #435496, #666041).
   * Disable spelling_fixes.patch: it is very nice, but I prefer working
     tests (which expect “messsages”).
   * This version of GNU mail does not crash when root uses a .mailrc file
     (closes: #510949).
   * Add set sendmail=/usr/sbin/sendmail to the default mail.rc, to work
     around some daemons not installing the /usr/lib/sendmail compatibility
     symlink (closes: #440603).
Checksums-Sha1: 
 e0e3d47b37c18d5218b352d4b5a8e310659c1430 2223 mailutils_2.99.97-2.dsc
 2a24c32b5e34925ef63300ae8de42335b6bfc90c 31668 mailutils_2.99.97-2.debian.tar.gz
 9e08333edd835ed8cd2a952e60f5f96f22d85969 795168 mailutils-common_2.99.97-2_all.deb
 88c8eac45a8dab1ff1f68bdf48e5191068bdc9e3 708498 mailutils-doc_2.99.97-2_all.deb
 555f5a98f83977812bdef8b3a36e6fbb0aaf57df 915780 libmailutils4_2.99.97-2_amd64.deb
 4606e9e54640ad6dbd7e888628463d7b58edfe35 460958 libmailutils-dev_2.99.97-2_amd64.deb
 9fc189d5fc78d65a132882631b62c69dcaeb6c84 850798 mailutils_2.99.97-2_amd64.deb
 70838ce997f0706ed40e13cab49d88dea73b1164 467456 mailutils-imap4d_2.99.97-2_amd64.deb
 bc5adb3eb08d707204bc65e019e628ef7f838a4f 459720 mailutils-pop3d_2.99.97-2_amd64.deb
 4c8d3d028dc1ac7204c05b43ee5afc3860756faf 418938 mailutils-comsatd_2.99.97-2_amd64.deb
 5e0b53c4fa713c86f1308b4be028ecb396aa6bed 405394 mailutils-guile_2.99.97-2_amd64.deb
 b56ba07544a44c873276e30f4ba2fac3dafac6aa 1910120 mailutils-mh_2.99.97-2_amd64.deb
 de2219d77c16f36c353b91d6453c3b386b4c8eb9 394374 python-mailutils_2.99.97-2_amd64.deb
 c2b2281f1da70221867526e5095a2769329e5180 3532872 mailutils-dbg_2.99.97-2_amd64.deb
Checksums-Sha256: 
 b0e22f440e230054316cb407b69b2b1ff0013add7596836113d6bba029343a24 2223 mailutils_2.99.97-2.dsc
 5edaa922fc1d46a5990167c1ae29fd4be87435a50b10d8c861976889efcdc3dc 31668 mailutils_2.99.97-2.debian.tar.gz
 b750c9737e0386e7bd1a27a6f598faeefd65e15238c1d0b38bd8622fc71d3f6a 795168 mailutils-common_2.99.97-2_all.deb
 e025e09a0a021e3a9748e689fdca0951c3ec72f5f2e1a037779927809042a17d 708498 mailutils-doc_2.99.97-2_all.deb
 e40d4245029f332bea19c44268612e3413fe265aa0dd24fe5e42e0ad81150ab1 915780 libmailutils4_2.99.97-2_amd64.deb
 e7b67142997840303f3bafd6cc8f43438d36ef191f8b799adb7a9ff78dde4da1 460958 libmailutils-dev_2.99.97-2_amd64.deb
 701bcda9224e0d96653ccd486b25ef608d54ad16b603bba161dc21ca9e9b3c9a 850798 mailutils_2.99.97-2_amd64.deb
 aa38286f0b922299b16dabb24b56d8bd984ffa21324fea8380a9dcc18878f337 467456 mailutils-imap4d_2.99.97-2_amd64.deb
 92926b66d2fc7b8bb9dd090c45a1931cb0ad95aa4aacd8ab5325c66099a66723 459720 mailutils-pop3d_2.99.97-2_amd64.deb
 b1efed348e9d96d277cc4b664cff839ed918163e5f3fdd8428068e81d806c8fb 418938 mailutils-comsatd_2.99.97-2_amd64.deb
 60dd85d6aa395614b33a5bbb6cc49d030df6b724d37581f382e689f4f07c8086 405394 mailutils-guile_2.99.97-2_amd64.deb
 98651820f917df94bf743f4eebc37ba51798e3313e4403f7654ee7b515110c8f 1910120 mailutils-mh_2.99.97-2_amd64.deb
 22160233f0f74569d8e552e501b812d1fa5e573d877fff1fdfa5288f8c9861d2 394374 python-mailutils_2.99.97-2_amd64.deb
 46c1d0c896901ea8257135abafee971984c576bd38323af382fee08c9acffda6 3532872 mailutils-dbg_2.99.97-2_amd64.deb
Files: 
 8e388eeee777e1395e0cf1b90987d141 2223 mail optional mailutils_2.99.97-2.dsc
 8eb61d609f28d9f5b366c7eb4ce20871 31668 mail optional mailutils_2.99.97-2.debian.tar.gz
 199bb26e73854d81ecd0276dc2214e43 795168 mail optional mailutils-common_2.99.97-2_all.deb
 032f96d3ed4f7bc5d41ece7399101de8 708498 doc optional mailutils-doc_2.99.97-2_all.deb
 e6c932535c1683f2a0a2f0bfa8b931ce 915780 libs optional libmailutils4_2.99.97-2_amd64.deb
 1666e6290013bdd34aff4b3c6d68c816 460958 libdevel optional libmailutils-dev_2.99.97-2_amd64.deb
 81bba755558e91126724caa0842e0f98 850798 mail optional mailutils_2.99.97-2_amd64.deb
 c1df5ed4bbaa1ead78c105d59f32706e 467456 net optional mailutils-imap4d_2.99.97-2_amd64.deb
 e246a661b2d9ccd7866fcccb84676fe0 459720 net optional mailutils-pop3d_2.99.97-2_amd64.deb
 e6f32acb1c3ef2c98726f20b5ad410bf 418938 net optional mailutils-comsatd_2.99.97-2_amd64.deb
 d5f100a74dd2b458ec785e37834a1617 405394 mail optional mailutils-guile_2.99.97-2_amd64.deb
 924dda2efabc9f90c76c3d5f2d5bf2cb 1910120 mail optional mailutils-mh_2.99.97-2_amd64.deb
 de650a91eec0b403e58ccda8f5a78bf5 394374 python optional python-mailutils_2.99.97-2_amd64.deb
 495649f9e4c7904411859f2966f6f215 3532872 debug extra mailutils-dbg_2.99.97-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/jQsEACgkQJYSUupF6Il4PBgCcDvAg6ogxMFm3Z4D9v1VKO3Sd
rpAAnidyXzXJBG6ZjeRtQz8Dr+AJ6TX9
=tNg3
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 20 Jul 2012 07:29:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:46:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.